Main Page Class Hierarchy Compound List File List Compound Members File Members

# TCPSendConnection Class Reference

Connessione TCP di spedizione. More...

`#include <TCPConnection.h>`

Inheritance diagram for TCPSendConnection:

List of all members.

## Public Methods
| TCPSendConnection ()
| Costruttore di Default. More...
| TCPSendConnection (antStackRef ipStack, int bs)
| Costruttore. More...
| ~TCPSendConnection ()
| Distruttore di Default.
OStatus | initConnection ()
| Inizializza la connessione. More...
OStatus | stop ()
| Ferma la connessione. More...
byte * | getSendData ()
| Ritorna il buffer di spedizione. More...
int | getSendSize ()
| Restituisce la dimensione dei dati da spedire. More...
void | setSendSize (int size)
| Imposta la dimensione dei dati da spedire. More...

## Detailed Description

Connessione TCP di spedizione.

Rappresenta una connessione di spedizione TCP utilizzata da Telepati. Aggiunge a TCPConnection la gestione del buffer di ricezione e implementa i metodi "pure virtual" initConnection() e stop().

## Constructor & Destructor Documentation

TCPSendConnection::TCPSendConnection | ( |  | ) | `[inline]`

| Costruttore di Default. La connessione sara' INVALID

TCPSendConnection::TCPSendConnection | ( | antStackRef | ipStack,
|  | int | bs
| ) |

  | Costruttore. Costruisce una connessione TCP di spedizione, ma non inizializza ne il buffer di spedizione ne l'endpoint. Parameters:
  ipStack | riferimento allo stack TCP/IP dell'Aibo.
  bs | dimensione del buffer di ricezione in byte.

## Member Function Documentation

byte* TCPSendConnection::getSendData | ( |  | ) | `[inline]`

| Ritorna il buffer di spedizione. Ritorna un puntatore al buffer di spedizione della connessione. Returns: puntatore al buffer di spedizione.

int TCPSendConnection::getSendSize | ( |  | ) | `[inline]`

| Restituisce la dimensione dei dati da spedire. Il valore restituito non si e' la dimensione del buffer di spedizione, che viene specificato nel costruttore, ma un valore con solo significato informativo. Returns: dimensione pacchetto da spedire

OStatus TCPSendConnection::initConnection | ( |  | ) | `[virtual]`

| Inizializza la connessione. Inizializza il buffer di ricezione e l'endpoint della connessione. Returns: oSUCCESS in caso si successo; oFAIL altrimenti Implements TCPConnection.

void TCPSendConnection::setSendSize | ( | int | size | ) | `[inline]`

  | Imposta la dimensione dei dati da spedire. Il valore passato come parametro non si e' la dimensione del buffer di spedizione, che viene specificato nel costruttore, ma un valore con solo significato informativo. Parameters:
  size | dimensione dei dati da spedire.

OStatus TCPSendConnection::stop | ( |  | ) | `[virtual]`

| Ferma la connessione. Chiude la connessione, dopo la chiamata a questo metodo la connessione non sara' piu' utilizzabile. Returns: oSUCCESS in caso si successo; oFAIL altrimenti Implements TCPConnection.

The documentation for this class was generated from the following files:

- /home/gilberto/prog/tesi2.31/TelepatiTcp/TCPConnection.h
- /home/gilberto/prog/tesi2.31/TelepatiTcp/TCPConnection.cc